var mongoose    = require('mongoose');

var schema =	{
					name:		{
									type:       String
								},
					url:		{
									type:       String
								},
					description:{
									type:       String
								},
					price:		{
									type:       Number
								},
					image:		{
									type:       mongoose.Schema.Types.ObjectId,
									ref:        'File'
								},
					tags:		[{
									type:       String
								}],
					createdAt:	{ 
									type:		Date, 
									default:	Date.now 
								}
				};

module.exports  = schema;
