var express     = require('express');
var mongoose    = require('mongoose');
var bodyParser  = require('body-parser');
var extend		= require('extend');
var model       = require('./model');
var router      = express.Router();
var Product		= null;

exports.init	= function(schema) {
	var schema	= schema || model;

	try {
		Product	= mongoose.model('Product', mongoose.Schema(schema));
	} catch(err) { }

	return Product;
};

router.route('/list')
	.get(function(request, response) {
		Product
			.find({})
			.exec(function(err, res) {
				response.status(200).json(res);
			});
	});

router.route('/:id')
	.get(function(request, response) {
		Product
			.findById(request.params.id)
			.exec(function(err, res) {
				response.status(200).json(res);
			});
	});

exports.model	= model;
exports.router	= router;
